Bug Hunting Session
Bug 114108 - Shift+up arrow then home doesn't select rectangle; only the starting line
Summary: Shift+up arrow then home doesn't select rectangle; only the starting line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-28 05:04 UTC by Dan Dascalescu
Modified: 2019-02-17 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2017-11-28 05:04:31 UTC
Description:
Shift+arrows/PgUp/PgDn/Home/End are often used to create range (rectangle) selections. Once the cursor was moved with Shift+Arrows, as long as Shift is still pressed, the Home/End/PgUp/PgDn keys should take the current position of the cursor as the "start" for selecting the end of the range. That works for PgUp/PgDn, but not Home/End. Excel is consisten.

Steps to Reproduce:
1. In a new sheet, move the cursor to C3
2. Press Shift+up arrow twice
3. Keep Shift pressed, and press Home

Actual Results:  
A3:C3 is selected

Expected Results:
A1:C3 should be selected


Reproducible: Always


User Profile Reset: No



Additional Info:
By comparison, move the cursor to A1, and press Shift+right arrow twice, then PgDn. An area from A1 to Cxx will be correctly selected, not from A1 to Axx ("xx" is a variable number of rows, depending on the window size).


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Comment 1 Xavier Van Wijmeersch 2017-11-28 09:39:29 UTC
repro with

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.2.2.0+
Build ID: SlackBuild for 5.4.2 by Eric Hameleers
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.4.0.0+
Build ID: cd1613eb5fcdd7f5a1176a3f8c4be9447b97c5b1
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.1.0.0.alpha0+
Build ID: 897c07bda2d116bcc2fa4a64c1eb75a52651c991
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-26_15:33:58
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 2 Buovjaga 2017-12-02 19:47:05 UTC
NEW per comment 1
Comment 3 Telesto 2018-02-16 13:51:46 UTC
Repro with
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89
Comment 4 QA Administrators 2019-02-17 03:44:33 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug